div#prekbd {
	padding-top: 1em;
}

div#poskbd {
	padding-top: 0.1em;
}

div#kbd {
	margin: auto;
	border: 1px solid #888;
	position: relative;
	height: 0;
	/* keep in sync with font sizes since they are % of viewport */
	width: 80%;
	/* should keep the proportions of a 100% keyboard */
	padding-bottom: 23%;
}

div.key {
	border: 0px;
	-moz-border-radius: 0.5vw;
	-webkit-border-radius: 0.5vw;
	position: absolute;
	-moz-user-select: none;
	-khtml-user-select: none;
	-webkit-user-select: none;
	-ms-user-select: none;
	user-select: none;
	display: inline-block;
}

div.in {
	position: absolute;
	top: 0;
	left: 0;
	height: 100%;
	width: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	line-height: 0;
}

div.inin_std {
	font-size: 1.5vw;
	line-height: 100%;
}

div.inin_mod {
	font-size: 0.8vw;
	line-height: 100%;
}

div.inin_modsmall {
	font-size: 0.7vw;
	line-height: 100%;
}

span#errmsg {
	color: #ff0;
}

span#errmsg span.tt {
	color: #f80;
}

div.st_off {
	background-color: #444;
}

div.st_on {
	background-color: #922;
}

div.st_mark {
	background-color: #171;
}

div.key span.tooltip {
	font-family: var(--fixed-font);
	visibility: hidden;
	background-color: #555;
	color: #ff0;
	text-align: center;
	padding: 0.3em 0.7em 0.3em 0.7em;
	border-radius: 6px;
	position: absolute;
	z-index: 1;
}

div.key:hover span.tooltip {
	visibility: visible;
}
